Package org.drinkless.tdlib

# Class TdApi.InputMessageForwarded

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageForwarded

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageForwarded extends TdApi.InputMessageContent
A forwarded message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageCopyOptions`
  `copyOptions`
  Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.
  `long`
  `fromChatId`
  Identifier for the chat this forwarded message came from.
  `boolean`
  `inGameShare`
  Pass true if a game message is being shared from a launched game; applies only to game messages.
  `long`
  `messageId`
  Identifier of the message to forward.
  `int`
  `newVideoStartTimestamp`
  The new video start timestamp; ignored if replaceVideoStartTimestamp == false.
  `boolean`
  `replaceVideoStartTimestamp`
  Pass true to replace video start timestamp in the forwarded message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageForwarded()`
  A forwarded message.
  `InputMessageForwarded(long fromChatId, long messageId, boolean inGameShare, boolean replaceVideoStartTimestamp, int newVideoStartTimestamp, TdApi.MessageCopyOptions copyOptions)`
  A forwarded message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fromChatId

    public long fromChatId
    Identifier for the chat this forwarded message came from.

  - ### messageId

    public long messageId
    Identifier of the message to forward. A message can be forwarded only if messageProperties.canBeForwarded.

  - ### inGameShare

    public boolean inGameShare
    Pass true if a game message is being shared from a launched game; applies only to game messages.

  - ### replaceVideoStartTimestamp

    public boolean replaceVideoStartTimestamp
    Pass true to replace video start timestamp in the forwarded message.

  - ### newVideoStartTimestamp

    public int newVideoStartTimestamp
    The new video start timestamp; ignored if replaceVideoStartTimestamp == false.

  - ### copyOptions

    public TdApi.MessageCopyOptions copyOptions
    Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageForwarded

    public InputMessageForwarded()
    A forwarded message.

  - ### InputMessageForwarded

    public InputMessageForwarded(long fromChatId, long messageId, boolean inGameShare, boolean replaceVideoStartTimestamp, int newVideoStartTimestamp, TdApi.MessageCopyOptions copyOptions)
    A forwarded message.
    Parameters:
      `fromChatId` - Identifier for the chat this forwarded message came from.
      `messageId` - Identifier of the message to forward. A message can be forwarded only if messageProperties.canBeForwarded.
      `inGameShare` - Pass true if a game message is being shared from a launched game; applies only to game messages.
      `replaceVideoStartTimestamp` - Pass true to replace video start timestamp in the forwarded message.
      `newVideoStartTimestamp` - The new video start timestamp; ignored if replaceVideoStartTimestamp == false.
      `copyOptions` - Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR